View Issue Details

IDProjectCategoryView StatusLast Update
0030337LazarusLCLpublic2016-07-06 10:39
ReportermalcomeAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version1.8Fixed in Version1.7 (SVN) 
Summary0030337: The grid ignore the first "EditorMode:=true"
DescriptionThe grid ignore the first "EditorMode:=true".
See attached project.
Probably you have to call SelectEditor() at first.
TagsNo tags attached.
Fixed in Revision52616
LazTarget1.8
Widgetset
Attached Files

Activities

malcome

2016-07-03 00:15

reporter  

grid.zip (1,985 bytes)

Jesus Reyes

2016-07-04 05:28

developer   ~0093522

Fixed, please test.

malcome

2016-07-06 06:09

reporter   ~0093585

Thanks, Jesus.
I think your patch makes new one problem.
Is that no problem?
See attached project.

malcome

2016-07-06 06:09

reporter  

selecteditor.zip (2,044 bytes)

Jesus Reyes

2016-07-06 07:57

developer   ~0093589

It is not, you are trying to use the editor before it is created.

You can create it before setting goEditing or you can create it on demand like in:

  if MyEditor=nil then
    MyEditor:=TStringCellEditor.Create(Self);
  MyEditor.TextHint:=StringGrid1.Cells[aCol, aRow];
  Editor:=MyEditor;

malcome

2016-07-06 10:39

reporter   ~0093591

OK. Thanks.

Issue History

Date Modified Username Field Change
2016-07-03 00:15 malcome New Issue
2016-07-03 00:15 malcome File Added: grid.zip
2016-07-03 06:13 Jesus Reyes Assigned To => Jesus Reyes
2016-07-03 06:13 Jesus Reyes Status new => assigned
2016-07-04 05:28 Jesus Reyes Fixed in Revision => 52616
2016-07-04 05:28 Jesus Reyes LazTarget => 1.8
2016-07-04 05:28 Jesus Reyes Note Added: 0093522
2016-07-04 05:28 Jesus Reyes Status assigned => resolved
2016-07-04 05:28 Jesus Reyes Fixed in Version => 1.7 (SVN)
2016-07-04 05:28 Jesus Reyes Resolution open => fixed
2016-07-04 05:28 Jesus Reyes Target Version => 1.8
2016-07-06 06:09 malcome Note Added: 0093585
2016-07-06 06:09 malcome File Added: selecteditor.zip
2016-07-06 07:57 Jesus Reyes Note Added: 0093589
2016-07-06 10:39 malcome Note Added: 0093591
2016-07-06 10:39 malcome Status resolved => closed